## heat 6.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Babel>=1.3 # BSD
croniter>=0.3.4 # MIT License
cryptography>=1.0 # BSD/Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
eventlet!=0.18.3,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
lxml>=2.3 # BSD
netaddr!=0.7.16,>=0.7.12 # BSD
oslo.cache>=1.5.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
osprofiler>=1.1.0 # Apache-2.0
oslo.versionedobjects>=1.5.0 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
pycrypto>=2.6 # Public Domain
python-barbicanclient>=3.3.0 # Apache-2.0
python-ceilometerclient>=2.2.1 # Apache-2.0
python-cinderclient>=1.3.1 # Apache-2.0
python-designateclient>=1.5.0 # Apache-2.0
python-glanceclient>=2.0.0 # Apache-2.0
python-heatclient>=0.6.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
python-magnumclient>=0.2.1 # Apache-2.0
python-manilaclient>=1.3.0 # Apache-2.0
python-mistralclient>=1.0.0 # Apache-2.0
python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-openstackclient>=2.1.0 # Apache-2.0
python-saharaclient>=0.13.0 # Apache-2.0
python-senlinclient>=0.3.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
python-troveclient!=2.1.0,>=1.2.0 # Apache-2.0
python-zaqarclient>=0.3.0 # Apache-2.0
pytz>=2013.6 # MIT
PyYAML>=3.1.0 # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,>=1.12.3;python_version!='2.7' # MIT
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
WebOb>=1.2.3 # MIT

## heat 5.0.0

=== debian/changelog ===
heat (1:5.0.0-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Nov 2015 16:17:35 +0100

heat (1:5.0.0-4) unstable; urgency=medium

  * debian/rules:
    - add copying of dist-packages/heat/cloudinit/ content

 -- Daniil Trishkin <dtrishkin@mirantis.com>  Mon, 16 Nov 2015 16:53:39 +0300

heat (1:5.0.0-3) unstable; urgency=medium

  * Added q-text-as-data in depends: for heat-common.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:41:56 +0000

heat (1:5.0.0-2) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools 37 to use Keystone API v3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 08:21:25 +0000

heat (1:5.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Added python-pymysql as runtime dependency.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Oct 2015 15:02:21 +0200

heat (1:5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Now heat-api depends on python-openstackclient.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2015 18:33:01 +0200

heat (1:5.0.0~b3-2) experimental; urgency=medium

  * Added nl.po.
  * Fixed wrong (build-)depends on python-neutronclient: EPOCH should be 1:.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Sep 2015 11:38:40 +0200

heat (1:5.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed routes 2.0 in requirements patch.
  * Deleted debian/patches/Fix_DummyResource_missing_in_provider_error.patch
    applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2015 12:40:05 +0200

heat (1:5.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased and updated patches.
  * Added upstream patches:
    - Fix_DummyResource_missing_in_provider_error.patch
  * Removed the copy of contrib/heat_keystoneclient_v2/heat_keystoneclient_v2
    which doesn't exist anymore upstream.

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Aug 2015 11:22:32 +0200

heat (2015.1.0-4) unstable; urgency=medium

  * Rebuilt with sqlalchemy 1.0.6.
  * Refreshed patch.
  * Added sqlalchemy version patch in requirements.txt.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Jul 2015 02:27:14 +0000

heat (2015.1.0-3) unstable; urgency=medium

  * Replaced && by ; in debian/rules.
  * Purges correctly log files on purge.
  * Removes double definition of PATH= in init scripts.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Jun 2015 14:57:22 +0200

heat (2015.1.0-2) unstable; urgency=medium

  * Added missing oslo.log namespace when generating default config.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 May 2015 16:27:46 +0200

heat (2015.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2015 21:51:34 +0000

heat (2015.1~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Reviewed (build-)depends for this release.
  * Build the heat.conf.sample on the fly at build time.
  * Refreshed allow-route-2.0.patch.
  * Added Remove_gettextutils_import.patch to un-fuck the .conf gen.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Dec 2014 17:45:14 +0800

heat (2014.2.1-2) experimental; urgency=medium

  * Added missing python-oslo.serialization (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Dec 2014 17:12:39 +0800

heat (2014.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Depending on openstack-pkg-tools (>= 20~).

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Dec 2014 10:33:44 +0000

heat (2014.2-2) experimental; urgency=medium

  * Do not duplicate the [keystone_authtoken] in heat.conf. This was a leftover
    from the missing [keystone_authtoken] in Icehouse.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Oct 2014 00:38:56 +0800

heat (2014.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Oct 2014 14:50:02 +0000

heat (2014.2~rc3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Now using templated init script for sysv-rc, generated systemd unit and
    upstart jobs, using openstack-pkg-tools >= 13.
  * Mangling upstream rc and beta versions in watch file.
  * Standards-Version is now 3.9.6.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Oct 2014 14:28:41 +0800

heat (2014.2~rc1-2) experimental; urgency=medium

  * Also package /usr/bin/heat-keystone-setup-domain.
  * Using the --fail-missing option when calling dh_install.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Oct 2014 20:27:08 +0800

heat (2014.2~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.
  * Added log facilities for all daemons.
  * Added systemd support.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Oct 2014 19:01:13 +0800

heat (2014.2~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added a patch to allow python-routes 2.0.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Jul 2014 00:58:38 +0800

heat (2014.1.1-2) unstable; urgency=medium

  * Updated de.po thanks to Chris Leick <c.leick@vollbio.de> (Closes: #751167).

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Jun 2014 12:31:32 +0800

heat (2014.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Removed Dont_dynamically_create_provider_types_in_the_global_env.patch
    applied upstream.
  * Now (build-)depends on python-six >= 1.6.0.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Jun 2014 22:33:27 +0800

heat (2014.1-8) unstable; urgency=medium

  * Now also packaging heat_keystoneclient_v2 in dist-packages/heat/plugins.

 -- Thomas Goirand <zigo@debian.org>  Fri, 06 Jun 2014 22:56:55 +0800

heat (2014.1-7) unstable; urgency=medium



=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 37~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: bandit (>= 0.13.2),
                     python-babel,
                     python-barbicanclient (>= 3.3.0),
                     python-ceilometerclient (>= 1.5.0),
                     python-cinderclient (>= 1:1.3.1),
                     python-croniter,
                     python-coverage,
                     python-crypto,
                     python-cryptography (>= 1.0),
                     python-designateclient (>= 1.0.0),
                     python-eventlet (>= 0.17.4),
                     python-glanceclient (>= 1:0.18.0),
                     python-greenlet,
                     python-hacking,
                     python-heatclient (>= 0.3.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 2.0.0),
                     python-kombu,
                     python-lxml,
                     python-magnumclient,
                     python-manilaclient (>= 1.3.0),
                     python-migrate (>= 0.9.6),
                     python-mistralclient (>= 1.0.0),
                     python-mock,
                     python-mox,
                     python-mysqldb,
                     python-netaddr (>= 0.7.12),
                     python-neutronclient (>= 1:2.6.0),
                     python-novaclient (>= 2:2.28.1),
                     python-oslo.cache (>= 0.4.0),
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 2.4.1),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.messaging (>= 1.16.0),
                     python-oslo.middleware (>= 2.8.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.reports,
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.service (>= 0.8.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslo.versionedobjects (>= 0.9.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler,
                     python-paramiko,
                     python-pastedeploy,
                     python-psycopg2,
                     python-pymysql,
                     python-requests (>= 2.5.2),
                     python-routes,
                     python-saharaclient (>= 0.10.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 0.9.9),
                     python-stevedore (>= 1.5.0),
                     python-swiftclient,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-troveclient (>= 1:1.2.0),
                     python-tz,
                     python-webob,
                     python-yaml,
                     python-zaqarclient (>= 0.1.1),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/heat.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/heat.git
Homepage: http://wiki.openstack.org/Heat

Package: python-heat
Section: python
Architecture: all
Depends: python-babel (>= 1.3),
         python-barbicanclient (>= 3.3.0),
         python-ceilometerclient (>= 1.5.0),
         python-cinderclient (>= 1:1.3.1),
         python-croniter,
         python-crypto,
         python-cryptography (>= 1.0),
         python-designateclient (>= 1.0.0),
         python-eventlet (>= 0.17.4),
         python-glanceclient (>= 1:0.18.0),
         python-greenlet,
         python-heatclient (>= 0.3.0),
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 2.0.0),
         python-kombu,
         python-lxml,
         python-magnumclient,
         python-manilaclient (>= 1.3.0),
         python-memcache,
         python-migrate (>= 0.9.6),
         python-mistralclient (>= 1.0.0),
         python-mysqldb,
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 2:2.28.1),
         python-oslo.cache (>= 0.4.0),
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 2.4.1),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.messaging (>= 1.16.0),
         python-oslo.middleware (>= 2.8.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.reports,
         python-oslo.serialization (>= 1.4.0),
         python-oslo.service (>= 0.8.0),
         python-oslo.utils (>= 2.0.0),
         python-oslo.versionedobjects (>= 0.9.0),
         python-osprofiler,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-pymysql,
         python-requests (>= 2.5.2),
         python-routes,
         python-saharaclient (>= 0.10.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.9),
         python-stevedore (>= 1.5.0),
         python-swiftclient,
         python-troveclient (>= 1:1.2.0),
         python-tz,
         python-webob,
         python-yaml,
         python-zaqarclient (>= 0.1.1),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack orchestration service - Python files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python libraries.

Package: heat-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         python-heat (=${binary:Version}),
         q-text-as-data,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

Package: heat-engine
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: heat-api
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         python-openstackclient,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - ReST API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-api-cloudwatch
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - CloudWatch API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudWatch API.

Package: heat-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack orchestration service - Documentation
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog -S Version | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/')

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init
	set -e ; set -x ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) testr run --subunit 'heat.tests.*' | tee $$TEMP_REZ | subunit2pyunit || true ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_clean:
	dh_clean
	rm -rf heat.egg-info .testrepository
	rm -rf doc/build
	find . -iname '*.pyc' -delete
	rm -f run_tests.err.log
	rm -f \
		debian/heat-common.postinst \
		debian/heat-common.config
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_install:
	mkdir -p $(CURDIR)/debian/heat-common/usr/share/heat-common
	oslo-config-generator \
		--namespace heat.common.config \
		--namespace heat.common.crypt \
		--namespace heat.common.heat_keystoneclient \
		--namespace heat.common.wsgi \
		--namespace heat.engine.clients \
		--namespace heat.engine.notification \
		--namespace heat.engine.resources \
		--namespace heat.openstack.common.eventlet_backdoor \
		--namespace heat.openstack.common.log \
		--namespace heat.openstack.common.policy \
		--namespace heat.api.middleware.ssl \
		--namespace heat.api.aws.ec2token \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.messaging \
		--namespace oslo.db \
		--namespace oslo.log \
		--wrap-width 120 \
		--output-file $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf
	sed -i 's|^[# \t]*connection[\t #]*=.*|connection=sqlite:////var/lib/heat/heatdb|' $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf
	sed -i 's|^[# \t]*auth_protocol[\t #]*=.*|auth_protocol = http|' $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf


	dh_install --fail-missing -Xbin/cinder-keystone-setup
	# Some files are missing, fix that...
	cp -axuf heat/db/sqlalchemy/migrate_repo/* $(CURDIR)/debian/python-heat/usr/lib/python2.7/dist-packages/heat/db/sqlalchemy/migrate_repo
	cp -r heat/cloudinit/* $(CURDIR)/debian/python-heat/usr/lib/python2.7/dist-packages/heat/cloudinit/

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.config

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python setup.py build_sphinx
	cp -rf doc/build/html $(CURDIR)/debian/heat-doc/usr/share/doc/heat-doc
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## heat 5.0.1

=== debian/changelog ===
heat (1:5.0.1-0ubuntu3.1) wily; urgency=medium

  * d/p/engine-shutdown.patch: Cherry pick fix to ensure that heat-engine
    worker processes are shutdown correctly when SIGINT is received early
    in the process lifecycle (LP: #1562042).

 -- James Page <james.page@ubuntu.com>  Tue, 10 May 2016 12:40:54 +0100

heat (1:5.0.1-0ubuntu3) wily; urgency=medium

  * Fix nested stacks validation (LP: #1579891)
    - d/p/Fix-Translate-properties-before-update.patch

 -- Felipe Reyes <felipe.reyes@canonical.com>  Tue, 10 May 2016 10:21:25 +0100

heat (1:5.0.1-0ubuntu2) wily; urgency=medium

  * Enable Ceilometer client to work with Keystone API v3 (LP: #1525800):
    - d/p/enable-ceilometer-client-to-work-with-keystone-api-v3.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Tue, 19 Apr 2016 14:51:48 +0100

heat (1:5.0.1-0ubuntu1) wily; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1530913):
    - d/control: Add python-testresources to build-depends.
    - d/p/skip-online-tests: Skip tests that require network
      connectivity during Ubuntu package builds.
    - d/p/revert_endpoint_override.patch: Revert test update that would
      require new version of python-magnumclient.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 21 Jan 2016 12:34:57 -0500

heat (1:5.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 12:47:16 -0400

heat (1:5.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.
  * Don't clean heat.egg-info ensuring that non-py resources actually
    get installed (LP: #1505444).

 -- James Page <james.page@ubuntu.com>  Mon, 12 Oct 2015 21:44:47 -0700

heat (1:5.0.0~rc1-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/watch: Update to cope with upstream rc versioning.
  * d/rules: Drop removal of .eggs directory in override_dh_auto_clean.
  * d/control: Bump minimum pbr version to 1.8.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 23 Sep 2015 14:22:51 -0400

heat (1:5.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/fix-dummy-resource-missing.patch: Dropped. Fixed in milestone.
  * d/p/move-extensions.patch: Dropped. Fixed in milestone.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 15:52:07 -0400

heat (1:5.0.0~b2-0ubuntu2) wily; urgency=medium

  * d/control: Add python-pymysql to (build-)depends.
  * d/p/fix-dummy-resource-missing.patch: Cherry-picked from master to fix
    failing tests.
  * d/p/move-extensions: Cherry-picked from master to fix failing tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 27 Aug 2015 14:45:23 -0400

heat (1:5.0.0~b2-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/fix-requirements.patch: Dropped. No longer needed.
  * d/p/fixup-assert-regex.patch: Rebased.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 19 Aug 2015 08:11:50 -0400

heat (1:5.0.0~b1-0ubuntu4) wily; urgency=medium

  * d/heat-common.install: Include missing templates directory (LP: #1431013).
  * d/python-heat.install: Include missing migrate.cfg.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Aug 2015 11:31:48 +0100

heat (1:5.0.0~b1-0ubuntu2) wily; urgency=medium

  * No change rebuild with SQLAlchemy 1.0.6.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 09:26:42 +0100

heat (1:5.0.0~b1-0ubuntu1) wily; urgency=medium

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Liberty:
    - d/control: Align (build-)depends with upstream.
    - d/p/fix-requirements.patch: Rebased.
    - d/p/sudoers_patch.patch: Rebased.

  [ James Page ]
  * d/s/options: Ignore any removal of egg-info data during package clean.
  * d/control: Drop MySQL and PostgreSQL related BD's, not required for unit
    testing.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Jul 2015 17:06:19 +0100

heat (2015.1.0-0ubuntu1.1) vivid; urgency=medium

  * debian/heat-common.install: install missing scripts (LP: #1453160):
    - /usr/bin/heat-db-setup
    - /usr/bin/heat-keystone-setup-domain

 -- Gauvain Pocentek <gauvain.pocentek@objectif-libre.com>  Tue, 26 May 2015 11:56:08 +0100

heat (2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack Kilo. (LP: #1449744)
  * d/p/fix-requirements.patch: Refreshed

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 03 May 2015 13:45:33 -0400

heat (2015.1~rc1-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release for Openstack kilo;
    - d/control: Align with upstream dependencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Apr 2015 13:55:31 -0400

heat (2015.1~b3-0ubuntu1) vivid; urgency=medium

  [ Corey Bryant ]
  * New upstream milestone release for OpenStack kilo:
    - d/control: Align with upstream dependencies.
    - d/p/sudoers_patch.patch: Rebased.
    - d/p/fix-requirements.patch: Rebased.

  [ James Page ]
  * d/p/fixup-assert-regex.patch: Tweak test to use assertRegexpMatches.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2015 11:11:18 +0100

heat (2015.1~b2-0ubuntu3) vivid; urgency=medium

  * d/pydist-overrides: Add overrides for oslo packages.
  * d/control: Add missing BD on python-testresources.
  * d/*: wrap-and-sort.

 -- James Page <james.page@ubuntu.com>  Thu, 19 Mar 2015 14:27:38 +0000

heat (2015.1~b2-0ubuntu2) vivid; urgency=medium

  * d/rules: Call debhelper with --with systemd to ensure that systemd
    units are enabled by default.

 -- James Page <james.page@ubuntu.com>  Fri, 06 Mar 2015 15:20:29 +0000

heat (2015.1~b2-0ubuntu1) vivid; urgency=medium

  [ James Page ]


=== debian/control ===
--- 
+++ 
@@ -1,24 +1,28 @@
 Source: heat
 Section: web
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
+           Julien Danjou <acid@debian.org>,
+           Thomas Goirand <zigo@debian.org>,
+           Ghe Rivero <ghe.rivero@stackops.com>,
+           Mehdi Abaakouk <sileht@sileht.net>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 37~),
-               po-debconf,
+               openstack-pkg-tools (>= 23~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: bandit (>= 0.13.2),
+Build-Depends-Indep: bandit,
                      python-babel,
                      python-barbicanclient (>= 3.3.0),
                      python-ceilometerclient (>= 1.5.0),
                      python-cinderclient (>= 1:1.3.1),
+                     python-coverage,
                      python-croniter,
-                     python-coverage,
                      python-crypto,
                      python-cryptography (>= 1.0),
                      python-designateclient (>= 1.0.0),
@@ -31,15 +35,15 @@
                      python-keystonemiddleware (>= 2.0.0),
                      python-kombu,
                      python-lxml,
-                     python-magnumclient,
+                     python-magnumclient (>= 0.2.1),
                      python-manilaclient (>= 1.3.0),
                      python-migrate (>= 0.9.6),
-                     python-mistralclient (>= 1.0.0),
-                     python-mock,
+                     python-mistralclient (>= 1:1.0.0),
+                     python-mock (>= 1.2),
                      python-mox,
-                     python-mysqldb,
+                     python-mox3,
                      python-netaddr (>= 0.7.12),
-                     python-neutronclient (>= 1:2.6.0),
+                     python-neutronclient (>= 2.6.0),
                      python-novaclient (>= 2:2.28.1),
                      python-oslo.cache (>= 0.4.0),
                      python-oslo.concurrency (>= 2.3.0),
@@ -51,17 +55,17 @@
                      python-oslo.messaging (>= 1.16.0),
                      python-oslo.middleware (>= 2.8.0),
                      python-oslo.policy (>= 0.5.0),
-                     python-oslo.reports,
+                     python-oslo.reports (>= 0.1.0),
                      python-oslo.serialization (>= 1.4.0),
-                     python-oslo.service (>= 0.8.0),
+                     python-oslo.service (>= 0.7.0),
                      python-oslo.utils (>= 2.0.0),
                      python-oslo.versionedobjects (>= 0.9.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-osprofiler,
-                     python-paramiko,
+                     python-paramiko (>= 1.13.0),
                      python-pastedeploy,
-                     python-psycopg2,
+                     python-psycopg2 (>= 2.5),
                      python-pymysql,
                      python-requests (>= 2.5.2),
                      python-routes,
@@ -69,25 +73,27 @@
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 0.9.9),
                      python-stevedore (>= 1.5.0),
-                     python-swiftclient,
+                     python-swiftclient (>= 1:2.2.0),
+                     python-testresources (>= 0.2.4),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
-                     python-troveclient (>= 1:1.2.0),
-                     python-tz,
+                     python-troveclient (>= 1.2.0),
+                     python-tz (>= 2013.6),
                      python-webob,
                      python-yaml,
                      python-zaqarclient (>= 0.1.1),
                      subunit,
-                     testrepository,
+                     testrepository (>= 0.0.18),
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/heat.git;a=summary
-Vcs-Git: git://anonscm.debian.org/openstack/heat.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat
 Homepage: http://wiki.openstack.org/Heat
+XS-Testsuite: autopkgtest
 
 Package: python-heat
 Section: python
 Architecture: all
-Depends: python-babel (>= 1.3),
+Depends: python-babel,
          python-barbicanclient (>= 3.3.0),
          python-ceilometerclient (>= 1.5.0),
          python-cinderclient (>= 1:1.3.1),
@@ -103,14 +109,12 @@
          python-keystonemiddleware (>= 2.0.0),
          python-kombu,
          python-lxml,
-         python-magnumclient,
+         python-magnumclient (>= 0.2.1),
          python-manilaclient (>= 1.3.0),
-         python-memcache,
          python-migrate (>= 0.9.6),
-         python-mistralclient (>= 1.0.0),
-         python-mysqldb,
+         python-mistralclient (>= 1:1.0.0),
          python-netaddr (>= 0.7.12),
-         python-neutronclient (>= 1:2.6.0),
+         python-neutronclient (>= 2.6.0),
          python-novaclient (>= 2:2.28.1),
          python-oslo.cache (>= 0.4.0),
          python-oslo.concurrency (>= 2.3.0),
@@ -122,14 +126,13 @@
          python-oslo.messaging (>= 1.16.0),
          python-oslo.middleware (>= 2.8.0),
          python-oslo.policy (>= 0.5.0),
-         python-oslo.reports,
+         python-oslo.reports (>= 0.1.0),
          python-oslo.serialization (>= 1.4.0),
-         python-oslo.service (>= 0.8.0),
+         python-oslo.service (>= 0.7.0),
          python-oslo.utils (>= 2.0.0),
          python-oslo.versionedobjects (>= 0.9.0),
          python-osprofiler,
          python-pastedeploy,
-         python-pbr (>= 1.8),
          python-pymysql,
          python-requests (>= 2.5.2),
          python-routes,
@@ -137,9 +140,9 @@
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 0.9.9),
          python-stevedore (>= 1.5.0),
-         python-swiftclient,
-         python-troveclient (>= 1:1.2.0),
-         python-tz,
+         python-swiftclient (>= 1:2.2.0),
+         python-troveclient (>= 1.2.0),
+         python-tz (>= 2013.6),
          python-webob,
          python-yaml,
          python-zaqarclient (>= 0.1.1),
@@ -155,9 +158,7 @@
 Package: heat-common
 Architecture: all
 Depends: adduser,
-         dbconfig-common,
          python-heat (=${binary:Version}),
-         q-text-as-data,
          ${misc:Depends},
          ${python:Depends},
 Description: OpenStack orchestration service - common files
@@ -186,7 +187,6 @@
 Architecture: all
 Depends: adduser,
          heat-common (=${binary:Version}),
-         python-openstackclient,
          ${misc:Depends},
          ${ostack-lsb-base},
          ${python:Depends},
@@ -224,15 +224,3 @@
  CloudFormation-compatible Query API.
  .
  This package contains the CloudWatch API.
-
-Package: heat-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends},
-Description: OpenStack orchestration service - Documentation
- Heat is a service to orchestrate multiple composite cloud applications using
- templates, through both an OpenStack-native ReST API and a
- CloudFormation-compatible Query API.
- .
- This package contains the documentation.

## heat 5.0.3

=== debian/changelog ===
heat (1:5.0.3-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1648071).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Dec 2016 08:20:19 -0500

heat (1:5.0.2-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  [ James Page ]
  * New upstream version.
  * d/p/Fix-Translate-properties-before-update.patch,
    d/p/enable-ceilometer-client-to-work-with-keystone-api-v3.patch:
    Dropped, included in upstream release.
  * d/p/skip-online-tests.patch: Rebase.
  * d/p/*: Refresh remaining patches.
  * d/p/engine-shutdown.patch: Dropped, included upstream.

  [ David Della Vecchia ]
  * New upstream point release for OpenStack Liberty (LP: #1619452).

  [ Corey Bryant ]
  * d/p/fix-db-unit-tests-in-the-western-hemisphere.patch,
    d/p/fix-database-purge-query.patch: Dropped, included upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Oct 2016 12:26:13 -0400

heat (1:5.0.1-0ubuntu3.1~cloud1) trusty-liberty; urgency=medium

  * d/p/fix-database-purge-query.patch: Cherry picked from upstream
    stable/liberty branch to fix database purge query. (LP: #1524387)
  * d/p/fix-db-unit-tests-in-the-western-hemisphere.patch: Cherry picked
    from upstream stable/liberty branch to fix db unit tests in the
    western hemisphere.

 -- Seyeong Kim <seyeong.kim@canonical.com>  Thu, 01 Sep 2016 21:51:36 +0900

heat (1:5.0.1-0ubuntu3.1~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 25 May 2016 10:58:14 +0000
